## hevea 1.05.2002.02.15+png

=== Makefile ===
################## Configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Library directory of hevea
LIBDIR=/usr/local/lib/hevea
# Where to install programms
BINDIR=/usr/local/bin
# A replacement for /lib/cpp
CPP=gcc -E -P -x c
############### End of configuration parameters
SUF=
#DIR=/usr/bin/
DIR=
HEVEA=./hevea.$(TARGET)
ESPONJA=./esponja.$(TARGET)
OCAMLC=${DIR}ocamlc$(SUF)
OCAMLFLAGS=
OCAMLCI=${DIR}ocamlc$(SUF)
OCAMLOPT=${DIR}ocamlopt$(SUF)
OCAMLLEX=${DIR}ocamllex$(SUF)
INSTALL=cp

ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo

OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo symb.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
OBJSESPONJA=mysys.cmo stack.cmo location.cmo $(ONLYESPONJA)  esponjamain.cmo

GENSRC=colscan.ml cut.ml entry.ml get.ml latexscan.ml length.ml save.ml tabular.ml videoc.ml verb.ml infoRef.ml subst.ml htmllex.ml

OPTS=$(OBJS:.cmo=.cmx)
OPTSCUT=$(OBJSCUT:.cmo=.cmx)
OPTSESPONJA=$(OBJSESPONJA:.cmo=.cmx)

include libs.def

all: $(TARGET)
everything: byte opt

install: install-$(TARGET)

opt:
	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt cutfoot-fra.html cutfoot-eng.html

byte:
	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte cutfoot-fra.html cutfoot-eng.html

install-lib:
	-mkdir $(LIBDIR)
	$(INSTALL) hevea.sty cutfoot-fra.html cutfoot-eng.html footer.tex ${LIBDIR}
	$(INSTALL) contents_motif.gif next_motif.gif previous_motif.gif ${LIBDIR}
	$(INSTALL) $(ALLLIB) $(LIBDIR)
	-mkdir  $(LIBDIR)/html
	cd html ; $(INSTALL) $(HTMLLIB) $(LIBDIR)/html
	-mkdir  $(LIBDIR)/text
	cd text ; $(INSTALL) $(TEXTLIB) $(LIBDIR)/text
	-mkdir $(LIBDIR)/info
	cd info ; $(INSTALL) $(INFOLIB) $(LIBDIR)/info



install-opt: install-lib
	$(INSTALL) hevea.opt $(BINDIR)/hevea
	$(INSTALL) hacha.opt $(BINDIR)/hacha
	$(INSTALL) esponja.opt $(BINDIR)/esponja
	$(INSTALL) imagen $(BINDIR)

install-byte: install-lib
	$(INSTALL) hevea.byte $(BINDIR)/hevea
	$(INSTALL) hacha.byte $(BINDIR)/hacha
	$(INSTALL) esponja.byte $(BINDIR)/esponja
	$(INSTALL) imagen $(BINDIR)


hevea.byte: ${OBJS}
	${OCAMLC}  ${OCAMLFLAGS} -o $@ ${OBJS}

hacha.byte: ${OBJSCUT}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSCUT}

esponja.byte: ${OBJSESPONJA}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSESPONJA}

hevea.opt: ${OPTS}
	${OCAMLOPT} -o $@ ${OPTS}

hacha.opt: ${OPTSCUT}
	${OCAMLOPT} -o $@ ${OPTSCUT}

esponja.opt: ${OPTSESPONJA}
	${OCAMLOPT} -o $@ ${OPTSESPONJA}

mylib.cmo: mylib.ml mylib.cmi
	${OCAMLC} ${OCAMLFLAGS} -pp '${CPP} -DLIBDIR=\"${LIBDIR}\"' -c mylib.ml

mylib.cmx: mylib.ml mylib.cmi
	${OCAMLOPT} -pp '${CPP} -DLIBDIR=\"${LIBDIR}\"' -c mylib.ml

cutfoot-fra.html: cutfoot.tex html/hevea.hva ${HEVEA}
	HEVEADIR=. ; export HEVEADIR ; ${HEVEA} -francais < cutfoot.tex | ${ESPONJA}> $@

cutfoot-eng.html: cutfoot.tex html/hevea.hva ${HEVEA}
	HEVEADIR=. ; export HEVEADIR ; ${HEVEA} < cutfoot.tex | ${ESPONJA}> $@

.SUFFIXES:
.SUFFIXES: .ml .cmo .mli .cmi .c .mll .cmx 

.mll.ml:
	${OCAMLLEX} $<

.ml.cmx:
	${OCAMLOPT} -c $<

.ml.cmo:
	${OCAMLC}  ${OCAMLFLAGS} -c $<

.mli.cmi:
	${OCAMLCI} -c $<

.c:
	$(CC) $(CFLAGS) -o $@ $<

cleanbyte:
	rm -f *.byte
	rm -f *.cmo

clean: cleanbyte
	rm -f *.byte *.opt
	rm -f $(GENSRC)
	rm -f *.o *.cmi *.cmo *.cmx *.o *.ppo *.ppi
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*# 
	rm -f cutfoot-fra.html cutfoot-eng.html

depend: $(GENSRC)
	- cp .depend .depend.bak
	ocamldep *.mli *.ml > .depend

videoc.cmi : latexscan.cmi
videoc.cmo : videoc.cmi
include .depend

## hevea 1.07

=== Makefile ===
--- 
+++ 
@@ -5,20 +5,24 @@
 LIBDIR=/usr/local/lib/hevea
 # Where to install programms
 BINDIR=/usr/local/bin
-# A replacement for /lib/cpp
-CPP=gcc -E -P -x c
+# C preprocessor with proper options (don't ask)
+CPP=cpp -E -P
+#Some alternatives...
+#CPP=/lib/cpp -E -P  (Old fashioned Unix)
+#CPP=gcc -E -P -x c  (If you have gcc)
+#CPP=cc --traditional-cpp -E -P -x c (repported to work on MacOsX by Georg)
 ############### End of configuration parameters
 SUF=
-#DIR=/usr/bin/
 DIR=
 HEVEA=./hevea.$(TARGET)
 ESPONJA=./esponja.$(TARGET)
 OCAMLC=${DIR}ocamlc$(SUF)
 OCAMLFLAGS=
-OCAMLCI=${DIR}ocamlc$(SUF)
+OCAMLCI=$(OCAMLC)
 OCAMLOPT=${DIR}ocamlopt$(SUF)
 OCAMLLEX=${DIR}ocamllex$(SUF)
 INSTALL=cp
+MKDIR=mkdir -p
 
 ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
 
@@ -46,15 +50,15 @@
 	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte cutfoot-fra.html cutfoot-eng.html
 
 install-lib:
-	-mkdir $(LIBDIR)
+	- $(MKDIR) $(LIBDIR)
 	$(INSTALL) hevea.sty cutfoot-fra.html cutfoot-eng.html footer.tex ${LIBDIR}
 	$(INSTALL) contents_motif.gif next_motif.gif previous_motif.gif ${LIBDIR}
 	$(INSTALL) $(ALLLIB) $(LIBDIR)
-	-mkdir  $(LIBDIR)/html
+	- $(MKDIR)  $(LIBDIR)/html
 	cd html ; $(INSTALL) $(HTMLLIB) $(LIBDIR)/html
-	-mkdir  $(LIBDIR)/text
+	- $(MKDIR)  $(LIBDIR)/text
 	cd text ; $(INSTALL) $(TEXTLIB) $(LIBDIR)/text
-	-mkdir $(LIBDIR)/info
+	- $(MKDIR) $(LIBDIR)/info
 	cd info ; $(INSTALL) $(INFOLIB) $(LIBDIR)/info

## hevea 1.08

=== Makefile ===
################## Configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Install prefix
PREFIX=/usr/local
# Library directory of hevea
LIBDIR=$(PREFIX)/lib/hevea
# Where to install programms
BINDIR=$(PREFIX)/bin
# Install prefix prefix
DESTDIR=
#Where to install hevea.sty
LATEXLIBDIR=$(PREFIX)/lib/hevea
############### End of configuration parameters
SUF=
DIR=
HEVEA=./hevea.$(TARGET)
ESPONJA=./esponja.$(TARGET)
OCAMLC=${DIR}ocamlc$(SUF)
OCAMLFLAGS=
#OCAMLFLAGS=-g -w Y
OCAMLCI=$(OCAMLC)
OCAMLOPT=${DIR}ocamlopt$(SUF)
OCAMLLEX=${DIR}ocamllex$(SUF) -q
INSTALL=cp
MKDIR=mkdir -p

ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo

OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo symb.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
OBJSESPONJA=mysys.cmo stack.cmo location.cmo $(ONLYESPONJA)  esponjamain.cmo

GENSRC=colscan.ml cut.ml entry.ml get.ml latexscan.ml length.ml save.ml tabular.ml videoc.ml verb.ml infoRef.ml subst.ml htmllex.ml

OPTS=$(OBJS:.cmo=.cmx)
OPTSCUT=$(OBJSCUT:.cmo=.cmx)
OPTSESPONJA=$(OBJSESPONJA:.cmo=.cmx)

include libs.def

all: $(TARGET)
everything: byte opt

install: install-$(TARGET)

opt:
	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt

byte:
	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte

install-lib:
	- $(MKDIR) $(DESTDIR)/$(LATEXLIBDIR)
	$(INSTALL)  hevea.sty $(DESTDIR)/$(LATEXLIBDIR)
	- $(MKDIR) $(DESTDIR)/$(LIBDIR)
	$(INSTALL) contents_motif.gif next_motif.gif previous_motif.gif $(DESTDIR)/$(LIBDIR)
	$(INSTALL) $(ALLLIB) $(DESTDIR)/$(LIBDIR)
	- $(MKDIR)  $(DESTDIR)/$(LIBDIR)/html
	cd html ; $(INSTALL) $(HTMLLIB) $(DESTDIR)/$(LIBDIR)/html
	- $(MKDIR)  $(DESTDIR)/$(LIBDIR)/text
	cd text ; $(INSTALL) $(TEXTLIB) $(DESTDIR)/$(LIBDIR)/text
	- $(MKDIR) $(DESTDIR)/$(LIBDIR)/info
	cd info ; $(INSTALL) $(INFOLIB) $(DESTDIR)/$(LIBDIR)/info
	$(INSTALL) imagen $(DESTDIR)/$(LIBDIR)



install-opt: install-lib
	- $(MKDIR) $(DESTDIR)/$(BINDIR)
	$(INSTALL) hevea.opt $(DESTDIR)/$(BINDIR)/hevea
	$(INSTALL) hacha.opt $(DESTDIR)/$(BINDIR)/hacha
	$(INSTALL) esponja.opt $(DESTDIR)/$(BINDIR)/esponja
	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)

install-byte: install-lib
	- $(MKDIR) $(DESTDIR)/$(BINDIR)
	$(INSTALL) hevea.byte $(DESTDIR)/$(BINDIR)/hevea
	$(INSTALL) hacha.byte $(DESTDIR)/$(BINDIR)/hacha
	$(INSTALL) esponja.byte $(DESTDIR)/$(BINDIR)/esponja
	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)


hevea.byte: ${OBJS}
	${OCAMLC}  ${OCAMLFLAGS} -o $@ ${OBJS}

hacha.byte: ${OBJSCUT}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSCUT}

esponja.byte: ${OBJSESPONJA}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSESPONJA}

hevea.opt: ${OPTS}
	${OCAMLOPT} -o $@ ${OPTS}

hacha.opt: ${OPTSCUT}
	${OCAMLOPT} -o $@ ${OPTSCUT}

esponja.opt: ${OPTSESPONJA}
	${OCAMLOPT} -o $@ ${OPTSESPONJA}

mylib.cmo: mylib.ml mylib.cmi
	${OCAMLC} ${OCAMLFLAGS} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml

mylib.cmx: mylib.ml mylib.cmi
	${OCAMLOPT} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml

.SUFFIXES:
.SUFFIXES: .ml .cmo .mli .cmi .c .mll .cmx 

.mll.ml:
	${OCAMLLEX} $<

.ml.cmx:
	${OCAMLOPT} -c $<

.ml.cmo:
	${OCAMLC}  ${OCAMLFLAGS} -c $<

.mli.cmi:
	${OCAMLCI} -c $<

.c:
	$(CC) $(CFLAGS) -o $@ $<

cleanbyte:
	rm -f *.byte
	rm -f *.cmo

clean: cleanbyte
	rm -f *.byte *.opt
	rm -f $(GENSRC)
	rm -f *.o *.cmi *.cmo *.cmx *.o *.ppo *.ppi
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*# 

depend: $(GENSRC)
	- cp .depend .depend.bak
	ocamldep *.mli *.ml > .depend

videoc.cmi : latexscan.cmi
videoc.cmo : videoc.cmi
include .depend

## hevea 1.09

=== Makefile ===
--- 
+++ 
@@ -14,29 +14,28 @@
 ############### End of configuration parameters
 SUF=
 DIR=
-HEVEA=./hevea.$(TARGET)
-ESPONJA=./esponja.$(TARGET)
 OCAMLC=${DIR}ocamlc$(SUF)
 OCAMLFLAGS=
-#OCAMLFLAGS=-g -w Y
+#OCAMLFLAGS=-g -w ZY
 OCAMLCI=$(OCAMLC)
 OCAMLOPT=${DIR}ocamlopt$(SUF)
 OCAMLLEX=${DIR}ocamllex$(SUF) -q
 INSTALL=cp
 MKDIR=mkdir -p
 
-ONLYESPONJA=emisc.cmo buff.cmo htmllex.cmo htmlparse.cmo htmltext.cmo pp.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
+ONLYESPONJA=emisc.cmo buff.cmo pp.cmo htmllex.cmo htmlparse.cmo htmltext.cmo util.cmo explode.cmo ultra.cmo esponja.cmo
 
-OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo symb.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
-OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
+OBJS=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo outUnicode.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) latexmain.cmo
+OBJSCUT=version.cmo mysys.cmo stack.cmo location.cmo misc.cmo  out.cmo cutOut.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo cutmain.cmo
 OBJSESPONJA=mysys.cmo stack.cmo location.cmo $(ONLYESPONJA)  esponjamain.cmo
+OBJSBIBHVA=bibhva.cmo
 
 GENSRC=colscan.ml cut.ml entry.ml get.ml latexscan.ml length.ml save.ml tabular.ml videoc.ml verb.ml infoRef.ml subst.ml htmllex.ml
 
 OPTS=$(OBJS:.cmo=.cmx)
 OPTSCUT=$(OBJSCUT:.cmo=.cmx)
 OPTSESPONJA=$(OBJSESPONJA:.cmo=.cmx)
-
+OPTSBIBHVA=$(OBJSBIBHVA:.cmo=.cmx)
 include libs.def
 
 all: $(TARGET)
@@ -45,10 +44,10 @@
 install: install-$(TARGET)
 
 opt:
-	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt
+	$(MAKE) $(MFLAGS) TARGET=opt hevea.opt hacha.opt esponja.opt bibhva.opt
 
 byte:
-	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte
+	$(MAKE) $(MFLAGS) TARGET=byte hevea.byte hacha.byte esponja.byte bibhva.byte
 
 install-lib:
 	- $(MKDIR) $(DESTDIR)/$(LATEXLIBDIR)
@@ -63,14 +62,16 @@
 	- $(MKDIR) $(DESTDIR)/$(LIBDIR)/info
 	cd info ; $(INSTALL) $(INFOLIB) $(DESTDIR)/$(LIBDIR)/info
 	$(INSTALL) imagen $(DESTDIR)/$(LIBDIR)
-
-
+	$(INSTALL) xxcharset.exe xxdate.exe $(DESTDIR)/$(LIBDIR)
+	- $(MKDIR)  $(DESTDIR)/$(LIBDIR)/mappings
+	cp mappings/*.map $(DESTDIR)/$(LIBDIR)/mappings
 
 install-opt: install-lib
 	- $(MKDIR) $(DESTDIR)/$(BINDIR)
 	$(INSTALL) hevea.opt $(DESTDIR)/$(BINDIR)/hevea
 	$(INSTALL) hacha.opt $(DESTDIR)/$(BINDIR)/hacha
 	$(INSTALL) esponja.opt $(DESTDIR)/$(BINDIR)/esponja
+	$(INSTALL) bibhva.opt $(DESTDIR)/$(BINDIR)/bibhva
 	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)
 
 install-byte: install-lib
@@ -78,6 +79,7 @@
 	$(INSTALL) hevea.byte $(DESTDIR)/$(BINDIR)/hevea
 	$(INSTALL) hacha.byte $(DESTDIR)/$(BINDIR)/hacha
 	$(INSTALL) esponja.byte $(DESTDIR)/$(BINDIR)/esponja
+	$(INSTALL) bibhva.byte $(DESTDIR)/$(BINDIR)/bibhva
 	$(INSTALL) imagen $(DESTDIR)/$(BINDIR)
 
 
@@ -90,6 +92,9 @@
 esponja.byte: ${OBJSESPONJA}
 	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSESPONJA}
 
+bibhva.byte: ${OBJSBIBHVA}
+	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSBIBHVA}
+
 hevea.opt: ${OPTS}
 	${OCAMLOPT} -o $@ ${OPTS}
 
@@ -99,11 +104,17 @@
 esponja.opt: ${OPTSESPONJA}
 	${OCAMLOPT} -o $@ ${OPTSESPONJA}
 
+bibhva.opt: ${OPTSBIBHVA}
+	${OCAMLOPT} -o $@ ${OPTSBIBHVA}
+
 mylib.cmo: mylib.ml mylib.cmi
 	${OCAMLC} ${OCAMLFLAGS} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml
 
 mylib.cmx: mylib.ml mylib.cmi
 	${OCAMLOPT} -pp 'sed -e "s,LIBDIR,${LIBDIR},g"' -c mylib.ml
+
+fmt_map: fmt_map.cmo
+	${OCAMLC} -o fmt_map fmt_map.cmo
 
 .SUFFIXES:
 .SUFFIXES: .ml .cmo .mli .cmi .c .mll .cmx 
@@ -129,7 +140,7 @@
 
 clean: cleanbyte
 	rm -f *.byte *.opt
-	rm -f $(GENSRC)
+	rm -f $(GENSRC) fmt_map.ml
 	rm -f *.o *.cmi *.cmo *.cmx *.o *.ppo *.ppi
 	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*#

## hevea 1.10

=== Makefile ===
#### Standard configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Install prefix
PREFIX=/usr/local
# Library directory of hevea
LIBDIR=$(PREFIX)/lib/hevea
# Where to install programms
BINDIR=$(PREFIX)/bin
# Install prefix prefix
DESTDIR=
#Where to install hevea.sty
LATEXLIBDIR=$(PREFIX)/lib/hevea
##### Advanced configuration parameters
SUF=
DIR=
OCAMLC=$(DIR)ocamlc$(SUF)
OCAMLFLAGS=
OCAMLFLAGS=-w ZY
OCAMLCI=$(OCAMLC)
OCAMLOPT=$(DIR)ocamlopt$(SUF)
OCAMLLEX=$(DIR)ocamllex$(SUF) -q
OCBFLAGS=-j 4 -classic-display

#### End of configuration parameters
#### The Makefile uses ocamlbuild if present.
PGM=hevea.byte hacha.byte esponja.byte bibhva.byte
PGMOPT=$(PGM:.byte=.opt)
PGMNATIVE=$(PGM:.byte=.native)

ONLYESPONJA=emisc.cmo buff.cmo pp.cmo htmllex.cmo htmlparse.cmo htmltext.cmo util.cmo explode.cmo ultra.cmo esp.cmo

OBJS=version.cmo mysys.cmo myStack.cmo location.cmo misc.cmo  element.cmo out.cmo table.cmo mylib.cmo parse_opts.cmo  myfiles.cmo outUnicode.cmo save.cmo auxx.cmo  lexstate.cmo subst.cmo latexmacros.cmo counter.cmo noimage.cmo image.cmo length.cmo  get.cmo tabular.cmo htmlCommon.cmo htmlMath.cmo mathML.cmo html.cmo  text.cmo infoRef.cmo info.cmo section.cmo foot.cmo entry.cmo index.cmo colscan.cmo color.cmo hot.cmo package.cmo videoc.cmo verb.cmo latexscan.cmo zyva.cmo $(ONLYESPONJA) hevea.cmo
OBJSCUT=version.cmo mysys.cmo myStack.cmo location.cmo misc.cmo  out.cmo cutOut.cmo thread.cmo cross.cmo mylib.cmo section.cmo length.cmo save.cmo cut.cmo hacha.cmo
OBJSESPONJA=mysys.cmo myStack.cmo location.cmo $(ONLYESPONJA)  esponja.cmo
OBJSBIBHVA=bibhva.cmo

GENSRC=colscan.ml cut.ml entry.ml get.ml latexscan.ml length.ml save.ml tabular.ml videoc.ml verb.ml infoRef.ml subst.ml htmllex.ml


OPTS=$(OBJS:.cmo=.cmx)
OPTSCUT=$(OBJSCUT:.cmo=.cmx)
OPTSESPONJA=$(OBJSESPONJA:.cmo=.cmx)
OPTSBIBHVA=$(OBJSBIBHVA:.cmo=.cmx)
include libs.def

all: $(TARGET)
all-make: $(TARGET)-make

install: config.sh
	./install.sh $(TARGET)

byte: ocb-byte
opt: ocb-opt
both: ocb-both


opt-make:
	$(MAKE) $(MFLAGS) TARGET=opt $(PGMOPT)

byte-make:
	$(MAKE) $(MFLAGS) TARGET=byte $(PGM)

both-make: byte-make opt-make

hevea.byte: ${OBJS}
	${OCAMLC}  ${OCAMLFLAGS} -o $@ ${OBJS}

hacha.byte: ${OBJSCUT}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSCUT}

esponja.byte: ${OBJSESPONJA}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSESPONJA}

bibhva.byte: ${OBJSBIBHVA}
	${OCAMLC} ${OCAMLFLAGS} -o $@ ${OBJSBIBHVA}

hevea.opt: ${OPTS}
	${OCAMLOPT} -o $@ ${OPTS}

hacha.opt: ${OPTSCUT}
	${OCAMLOPT} -o $@ ${OPTSCUT}

esponja.opt: ${OPTSESPONJA}
	${OCAMLOPT} -o $@ ${OPTSESPONJA}

bibhva.opt: ${OPTSBIBHVA}
	${OCAMLOPT} -o $@ ${OPTSBIBHVA}

mylib.cmo: mylib.ml mylib.cmi config.sh
	${OCAMLC} ${OCAMLFLAGS} -pp ./expandlib.sh -c mylib.ml

mylib.cmx: mylib.ml mylib.cmi config.sh
	${OCAMLOPT} -pp ./expandlib.sh -c mylib.ml

fmt_map: fmt_map.cmo
	${OCAMLC} -o fmt_map fmt_map.cmo

config.sh: Makefile
	@(echo PGM=\"$(PGM)\" &&\
	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
	echo BINDIR=$(BINDIR) &&\
	echo LIBDIR=$(LIBDIR) &&\
	echo DESTDIR=$(DESTDIR) &&\
	echo LATEXLIBDIR=$(LATEXLIBDIR) &&\
	echo OCAMLFLAGS=\"$(OCAMLFLAGS)\" &&\
	echo OCBFLAGS=\"$(OCBFLAGS)\" &&\
	echo ALLLIB=\"$(ALLLIB)\" && \
	echo HTMLLIB=\"$(HTMLLIB)\" && \
	echo TEXTLIB=\"$(TEXTLIB)\" && \
	echo INFOLIB=\"$(INFOLIB)\" ) > $@

clean:: config.sh
	sh ocb.sh clean

ocb-byte: config.sh
	sh ocb.sh byte

ocb-opt: config.sh
	sh ocb.sh opt

ocb-both: config.sh
	sh ocb.sh both

ocb: ocb-$(TARGET)


.SUFFIXES:
.SUFFIXES: .ml .cmo .mli .cmi .c .mll .cmx 

.mll.ml:
	${OCAMLLEX} $<

.ml.cmx:
	${OCAMLOPT} -c $<

.ml.cmo:
	${OCAMLC}  ${OCAMLFLAGS} -c $<

.mli.cmi:
	${OCAMLCI} -c $<

.c:
	$(CC) $(CFLAGS) -o $@ $<

cleanbyte:
	rm -f *.byte
	rm -f *.cmo

clean::
	rm -f *.byte *.opt
	rm -f $(GENSRC) fmt_map.ml
	rm -f *.o *.cmi *.cmo *.cmx *.o *.ppo *.ppi
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*# 

depend: $(GENSRC)
	- cp .depend .depend.bak
	ocamldep *.mli *.ml > .depend

videoc.cmi : latexscan.cmi
videoc.cmo : videoc.cmi
include .depend

=== debian/changelog ===
hevea (1.10-14) unstable; urgency=low

  * Rebuild with ocaml 3.12.1 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:30:23 +0100

hevea (1.10-13) unstable; urgency=low

  * Convert to dh, drop dependency on cdbs, install gif.hva via dh_install.
    Bump dependency on debhelper
  * Use dh_ocaml (>= 0.9) to get binary dependencies in variable
    ${ocaml:Depends} (closes: 599311).
  * Bump Standards-Version to 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 19:01:56 +0200

hevea (1.10-12) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control: update my e-mail address

  [ Ralf Treinen ]
  * Remove Zack from uploaders on his request.
  * Patch gs-options: call gs with additional options -P- -dSAFER
    (closes: #584009)

 -- Ralf Treinen <treinen@debian.org>  Tue, 01 Jun 2010 20:18:49 +0200

hevea (1.10-11) unstable; urgency=low

  * Standards-Version 3.8.4 (no change)
  * Recompiled with ocaml 3.11.2
  * Do not use asterisks in debian/NEWS to separate items.

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 00:02:31 +0100

hevea (1.10-10) unstable; urgency=low

  * Standards-version 3.8.3 (no change)
  * Source format 3.0 (quilt):
    - add debian/sources/format
    - drop build-dependency on dpatch
    - no more patching in debian/rules
    - rename patches quilt-style
  * removed dependency on obsolete tetex-bin

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 20:48:14 +0100

hevea (1.10-9) unstable; urgency=low

  * debian/rules: added call to dh_installtex in the post deb preparation
    stage (closes: 536833).

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jul 2009 19:00:20 +0200

hevea (1.10-8) unstable; urgency=low

  [ Ralf Treinen ]
  * Update standards-version to 3.8.1 (no change)
  * Update DH level, and build-dependency on debhelper, to 7
  * Rebuild with ocaml 3.11.1

  [ Stephane Glondu ]
  * Switch packaging to git

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 20:53:48 +0200

hevea (1.10-7) unstable; urgency=low

  [ Ralf Treinen ]
  * switch to cdbs build system, build-depend on cdbs and dh-ocaml
  * Standards-Version 3.8.0 (no change).
  * Dependencies: switch order in "tetex-bin|texlive-base"
  * Dependencies: changed "gs" to "ghostscript"
  * Renamed debian/dirs -> debian/hevea.dirs
  * Add debian/hevea.{manpages,examples}
  * Switch build-dependency on ocaml back to >= 3.07
  
  [ Stephane Glondu ]
  * Remove Julien from Uploaders

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Feb 2009 22:56:49 +0100

hevea (1.10-6) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Sun, 01 Feb 2009 12:09:02 +0100

hevea (1.10-5) unstable; urgency=low

  * Upload to unstable for ocaml 3.10.2

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 May 2008 21:59:02 +0200

hevea (1.10-4) experimental; urgency=low

  * Recompile with ocaml 3.10.2.

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 08:40:46 +0100

hevea (1.10-3) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/control: use Homepage field for upstream URL.
  * Recompile with ocaml 3.10.1
  * Update Uploaders.
  * Manpages: do not use .UR macro.
  * Standards-Version 3.7.3 (no change)

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 08:35:44 +0100

hevea (1.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 Aug 2007 20:44:23 +0200

hevea (1.10-1) experimental; urgency=low

  * New upstream version. This version
    - adds supports for UTF8 input encoding (closes: Bug#397496)
    - fixes a bug with the parsing of macro arguments (closes: Bug#405994)
  * Changed priority back to "optional" as package depends on the virtual
    package "gs".
  * debian/rules: new target "config.sh" due to modified upstream Makefile
  * debian/rules: dropped installation of xxdate.exe as this is now fixed in
    the upstream Makefile.
  * Dropped patch koi8r as this is now done by upstream
  * Patches 02_nogif: adapted to modified upstream
  * Dropped patch 03_charset: revert to upstream method of specifying the
    charset.

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Aug 2007 09:25:03 +0200

hevea (1.09-4) experimental; urgency=low

  * Rebuild for ocaml-3.10.
  * Use dh_installtex instead of hand-rolled post{inst,rm}. Build-depends
    on tex-common.
  * Lowered priority to extra as package depends on gs, which is of
    priority extra.
  * Do not ignore errors of "make clean" in "clean" target of debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 17:40:09 +0200

hevea (1.09-3) unstable; urgency=low

  * Fixed typos in debian/NEWS.

 -- Ralf Treinen <treinen@debian.org>  Sat,  6 Jan 2007 12:08:37 +0100

hevea (1.09-2) experimental; urgency=low

  * [Julien Cristau]
    - Remove inactive people from the Uploaders field.
  * [Ralf Treinen]
    - hevea manpage: removed "noiso" and "symbols" options, fixed spelling
      of "moreentities" option (closes: Bug#402064). Updated options
      "francais" (closes: Bug#402065). Added a note about deprecated options
      to NEWS.
    - Patch 04_koi8r.dpatch: KOI8-R inputencoding taken from experimental
      hevea version (closes: Bug#404474).

 -- Ralf Treinen <treinen@debian.org>  Wed,  3 Jan 2007 16:56:34 +0100
  

hevea (1.09-1) unstable; urgency=low

  * New upstream release (closes: Bug#394133)
  * updated upstream url in debian/control (package description) and 
    debian/watch.
  * Adapted patches to new upstream version.
  * Added manpage for bibhva.
  * Updated url of HeVeA homepage in manpages.
  * examples/bibtex: put all needed crossrefs and abbreviations into
    rewriting.bib; replace iso8859-1 characters by portable latex; fix
    Makefile to use bibhva and to uncompress rewriting.bib when necessary
  * Manpages: document the new command line options 



=== debian/control ===
Source: hevea
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Remi Vanicat <vanicat@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends-Indep: ocaml-nox (>= 3.07)
Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
Homepage: http://hevea.inria.fr/

Package: hevea
Architecture: all
Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
 ${ocaml:Depends}, ${misc:Depends}
Suggests: hevea-doc 
Description: translates from LaTeX to HTML, info, or text
 Its remarkable features are
  - It produces good output. Special symbols (like mathematical symbols) are
    translated into HTML entities which should be rendered by any graphical
    browser. Picture files are only generated on demand, for instance when
    translating graphics.
  - It is highly configurable through (La)TeX macros. Though aimed at
    LaTeX input it understands a fair subset of TeX' macro language.
  - It runs fast.
 .
 This version of HeVeA is patched to generate by default picture files
 in the PNG format instead of the GIF format.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR = debian/hevea

%:
	dh $@ --with=ocaml,tex

override_dh_auto_configure:
	-rm config.sh
	$(MAKE) config.sh\
		DESTDIR=$(DEB_DESTDIR)\
		PREFIX=/usr\
		LIBDIR=/usr/share/hevea\
		LATEXLIBDIR=/usr/share/texmf/tex/latex/misc	

override_dh_auto_clean:
	$(MAKE) clean
	cd debian/examples; make clean

override_dh_auto_build:
	$(MAKE) byte

override_dh_auto_install:
	$(MAKE) install TARGET=byte

## hevea 2.06

=== debian/changelog ===
hevea (2.06-2) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Mon, 06 May 2013 20:48:42 +0200

hevea (2.06-1) experimental; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Wed, 03 Apr 2013 08:17:48 +0200

hevea (2.03-1) experimental; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Mar 2013 19:15:46 +0100

hevea (2.02-1) experimental; urgency=low

  * New upstream release.
  * Standards-Version 3.9.4 (no change)
  * Long package description: drop the phrase concerning the patch replacing
    the default image format since this is no longer true (since version 2.0).
  * Bump build-dependency on ocaml to >=3.12, following upstream's README.

 -- Ralf Treinen <treinen@debian.org>  Wed, 30 Jan 2013 09:50:06 +0100

hevea (2.00-1) experimental; urgency=low

  * New upstream version
    - dropped patch nogif since upstream has now followed debian in using png
      as default image format.
    - dropped patch gs-options which is now applied by upstream.
  * debian/rules:
    - pass the DESTDIR variable in the install target, not in
      the configure target.
    - install target: remove usr/share/hevea/imagen, since upstream
      installs that file already in /usr/bin.
  * Add debian/hevea.links:
    - Link for /usr/bin/hevea from /usr/share/hevea. 
      Necessary since hevea excepts imagen to live in that directory.
  * Standards-version 3.9.3:
    - debian/copyright: migrate to machine-readable format 1.0
  * debian/control:
    - dropped Sylvain le Gall from uploaders, on his request.
  * debian/manpages/hevea.1:
    - dropped the paragraph on using a different default image format as
      upstream, since it no longer applies.
    - fixed a typo (missing space)
    - added the option -rsz
  * debian/manpages/hacha.1:
    - introduced subsections for different types of options
    - added options -rsz, -tocter, --help, -version.
    - fixed a typo (htmlcut -> hacha)
  * debian/manpages/imagen.1
    - dropped the paragraph on using a different default image format as
      upstream, since it no longer applies.
    - small improvements in description of options. 
  * debian/README.Debian
    - dropped this file, it no longer applies since debian and upstream now
      use the same default image format.

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Sep 2012 11:47:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Ralf Treinen <treinen@debian.org>,
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 3.07)
+Build-Depends-Indep: ocaml-nox (>= 3.12)
 Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -29,6 +28,3 @@
   - It is highly configurable through (La)TeX macros. Though aimed at
     LaTeX input it understands a fair subset of TeX' macro language.
   - It runs fast.
- .
- This version of HeVeA is patched to generate by default picture files
- in the PNG format instead of the GIF format.

## hevea 2.09

=== Makefile ===
#### Standard configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Install prefix
PREFIX=/usr/local
# Library directory of hevea
LIBDIR=$(PREFIX)/lib/hevea
# Where to install programms
BINDIR=$(PREFIX)/bin
#Where to install hevea.sty
LATEXLIBDIR=$(PREFIX)/lib/hevea
##### Advanced configuration parameters
SUF=
DIR=
OCAMLC=$(DIR)ocamlc$(SUF)
#OCAMLFLAGS=-w +a-4-9 -warn-error +a
OCAMLFLAGS=-w +a-4-9
OCAMLCI=$(OCAMLC)
OCAMLOPT=$(DIR)ocamlopt$(SUF)
OCAMLLEX=$(DIR)ocamllex$(SUF) -q
OCBFLAGS=-j 4 -classic-display

#### End of configuration parameters
#### The Makefile uses ocamlbuild if present.
PGM=hevea.byte hacha.byte esponja.byte bibhva.byte
PGMNATIVE=$(PGM:.byte=.native)

all: $(TARGET)

install: config.sh
	./install.sh $(TARGET)

byte: ocb-byte
opt: ocb-opt
both: ocb-both

include libs.def

config.sh: Makefile libs.def
	@(echo PGM=\"$(PGM)\" &&\
	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
	echo BINDIR=$(BINDIR) &&\
	echo LIBDIR=$(LIBDIR) &&\
	echo LATEXLIBDIR=$(LATEXLIBDIR) &&\
	echo OCAMLFLAGS=\"$(OCAMLFLAGS)\" &&\
	echo OCBFLAGS=\"$(OCBFLAGS)\" &&\
	echo ALLLIB=\"$(ALLLIB)\" && \
	echo HTMLLIB=\"$(HTMLLIB)\" && \
	echo TEXTLIB=\"$(TEXTLIB)\" && \
	echo INFOLIB=\"$(INFOLIB)\" ) > $@

clean:: config.sh
	sh ocb.sh clean && rm config.sh

ocb-byte: config.sh
	sh ocb.sh byte

ocb-opt: config.sh
	sh ocb.sh opt

ocb-both: config.sh
	sh ocb.sh both

ocb: ocb-$(TARGET)


clean::
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*#

=== debian/changelog ===
hevea (2.09-2) unstable; urgency=low

  * Compile with OCaml 4.01.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2013 20:03:21 +0100

hevea (2.09-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Bump debhelper compat level to 9
  * Update Vcs-*

  [ Ralf Treinen ]
  * New upstream release
  * Now suggests texlive-latex-extra. Add a README.Debian that explains
    that it is needed to use the "toimage" enviroment of hevea. Also 
    add a note to examples/pictures/README.

 -- Ralf Treinen <treinen@debian.org>  Sun, 01 Sep 2013 20:29:41 +0200

hevea (2.06-3) experimental; urgency=low

  * Compile with OCaml >= 4
  * Bump debhelper compat level to 9
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 16:05:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 3.12)
-Build-Depends: debhelper (>= 7.0.50~), tex-common, dh-ocaml (>= 0.9)
+Build-Depends-Indep: ocaml-nox (>= 4)
+Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hevea.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hevea.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
 
 Package: hevea
 Architecture: all
 Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
  ${ocaml:Depends}, ${misc:Depends}
-Suggests: hevea-doc 
+Suggests: hevea-doc, texlive-latex-extra 
 Description: translates from LaTeX to HTML, info, or text
  Its remarkable features are
   - It produces good output. Special symbols (like mathematical symbols) are

## hevea 2.16

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,7 @@
 DIR=
 OCAMLC=$(DIR)ocamlc$(SUF)
 #OCAMLFLAGS=-w +a-4-9 -warn-error +a
-OCAMLFLAGS=-w +a-4-9
-OCAMLCI=$(OCAMLC)
-OCAMLOPT=$(DIR)ocamlopt$(SUF)
-OCAMLLEX=$(DIR)ocamllex$(SUF) -q
+OCAMLFLAGS=-w +a-4-9-41-45
 OCBFLAGS=-j 4 -classic-display
 
 #### End of configuration parameters

=== debian/changelog ===
hevea (2.16-2) unstable; urgency=medium

  * debian/control: add XS-Testsuite

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Jul 2014 20:59:21 +0200

hevea (2.16-1) unstable; urgency=medium

  * New upstream version.
  * add debian/tests : run our test cases from debian/examples
  * debian/examples/bibtex/Makefile: uncompress bibtex file only when the
    compressed file exists.
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 19 Jun 2014 20:33:14 +0200

## hevea 2.18

=== Makefile ===
--- 
+++ 
@@ -33,8 +33,9 @@
 
 include libs.def
 
-config.sh: Makefile libs.def
-	@(echo PGM=\"$(PGM)\" &&\
+config.sh: Makefile libs.def handle402.sh
+	@( cat handle402.sh &&\
+	echo PGM=\"$(PGM)\" &&\
 	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
 	echo BINDIR=$(BINDIR) &&\
 	echo LIBDIR=$(LIBDIR) &&\
@@ -44,7 +45,7 @@
 	echo ALLLIB=\"$(ALLLIB)\" && \
 	echo HTMLLIB=\"$(HTMLLIB)\" && \
 	echo TEXTLIB=\"$(TEXTLIB)\" && \
-	echo INFOLIB=\"$(INFOLIB)\" ) > $@
+	echo INFOLIB=\"$(INFOLIB)\") > $@
 
 clean:: config.sh
 	sh ocb.sh clean && rm config.sh

=== debian/changelog ===
hevea (2.18-1) unstable; urgency=medium

  * New upstream version.
  * patch config-ocaml-4.02: create symlinks to bytes.ml{i} in a separate
    script invoked by ocb.sh, instead by config.sh which is invoked by the
    clean target of the Makefile.

 -- Ralf Treinen <treinen@debian.org>  Sun, 05 Oct 2014 20:53:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
+XS-Testsuite: autopkgtest
 
 Package: hevea
 Architecture: all

=== debian/tests/control ===
Tests: examples
Depends: @, texlive-latex-base
Restrictions: allow-stderr

## hevea 2.23

=== debian/changelog ===
hevea (2.23-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 14:51:58 -0500

hevea (2.23-2) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:32:10 +0200

hevea (2.23-1) unstable; urgency=low

  * New upstream release
  * Improved package tests, using ${adttmp} and ${adt_artifacts}
  * debian/hevea.install: drop gif.hva since it is now installed by upstream
  * drop debian/hevea.examples. Install both our own, and upstream examples,
    via debian/hevea.install
  * Fix a typo in package description (TeX') (closes: #773681).
  * Standards-Version 3.9.6 (no change).

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 May 2015 21:05:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -27,5 +27,5 @@
     browser. Picture files are only generated on demand, for instance when
     translating graphics.
   - It is highly configurable through (La)TeX macros. Though aimed at
-    LaTeX input it understands a fair subset of TeX' macro language.
+    LaTeX input it understands a fair subset of TeX's macro language.
   - It runs fast.

## hevea 2.28

=== debian/changelog ===
hevea (2.28-1) unstable; urgency=medium

  * New upstream version
  * Drop patch config-ocaml-4.02 which is no longer needed.
  * Standards-Version 3.9.7 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 14 Mar 2016 20:36:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/

## hevea 2.29

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Compile using ocamlopt, to use ocamlc set TARGET=byte
 TARGET=opt
 # Install prefix
-PREFIX=/usr/local
+PREFIX?=/usr/local
 # Library directory of hevea
 LIBDIR=$(PREFIX)/lib/hevea
 # Where to install programms

=== debian/changelog ===
hevea (2.29-1) unstable; urgency=medium

  [Rémi Vanicat]
  * removed Rémi Vanicat from uploaders.

  [Ralf Treinen]
  * new upstream release
  * d/control: dropped obsolete XS-Testsuite
  * d/control: update Vcs-{Git,Browser} fields
  * Standards-Version 3.9.8 (no change)
  * hacha manpage (debian): fix two typos

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Sep 2016 21:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
- Remi Vanicat <vanicat@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends-Indep: ocaml-nox (>= 4)
 Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hevea.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hevea.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
-XS-Testsuite: autopkgtest
 
 Package: hevea
 Architecture: all

=== debian/tests/control ===
Tests: examples
Depends: @, texlive-latex-base

## hevea 2.30

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DIR=
 OCAMLC=$(DIR)ocamlc$(SUF)
 #OCAMLFLAGS=-w +a-4-9 -warn-error +a
-OCAMLFLAGS=-w +a-4-9-41-45
+OCAMLFLAGS=-w +a-3-4-9-41-45
 OCBFLAGS=-j 4 -classic-display
 
 #### End of configuration parameters

=== debian/changelog ===
hevea (2.30-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version 4.1.0 (no change)
  * Drop obsolete version constraint on build-dependency dh-ocaml

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Sep 2017 21:12:51 +0200

hevea (2.29-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends-Indep
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:52:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 4)
-Build-Depends: debhelper (>= 9), tex-common, dh-ocaml (>= 0.9)
-Standards-Version: 3.9.8
+Build-Depends-Indep: ocaml-nox (>= 4), ocamlbuild
+Build-Depends: debhelper (>= 10), tex-common, dh-ocaml
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
 Homepage: http://hevea.inria.fr/
@@ -17,7 +17,7 @@
 Architecture: all
 Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
  ${ocaml:Depends}, ${misc:Depends}
-Suggests: hevea-doc, texlive-latex-extra 
+Suggests: hevea-doc, texlive-latex-extra
 Description: translates from LaTeX to HTML, info, or text
  Its remarkable features are
   - It produces good output. Special symbols (like mathematical symbols) are

## hevea 2.32

=== debian/changelog ===
hevea (2.32-2) unstable; urgency=medium

  * Honour the SOURCE_DATE_EPOCH environment variable (closes: #870585):
    - Patch source_date_epoch, based on a patch by Johannes Schauer (thanks!),
      but leaves the timezone untouched when SOURCE_DATE_EPOCH is not set.
    - Mention that environment variable in our hevea(1) manpage.
    - add a test case.
  * Standards-Version 4.2.1 (no change)
  * Debian/changelog: remove some trailing whitespace

 -- Ralf Treinen <treinen@debian.org>  Wed, 05 Dec 2018 20:10:40 +0100

hevea (2.32-1) unstable; urgency=medium

  * New upstream version
  * Update Vcs-* to salsa
  * Merge Build-Depends-Indep into Build-Depends; since we build only
    one binary package this distinction is useless.
  * Standards-Version 4.2.0 (no change)
  * debhelper compatibility level 11

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Aug 2018 15:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends-Indep: ocaml-nox (>= 4), ocamlbuild
-Build-Depends: debhelper (>= 10), tex-common, dh-ocaml
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hevea.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hevea.git
+Build-Depends: debhelper (>= 11),
+ tex-common,
+ dh-ocaml,
+ ocaml-nox (>= 4),
+ ocamlbuild
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/ocaml-team/hevea
+Vcs-Git: https://salsa.debian.org/ocaml-team/hevea.git
 Homepage: http://hevea.inria.fr/
 
 Package: hevea

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 override_dh_auto_configure:
 	-rm config.sh
 	$(MAKE) config.sh\
-		DESTDIR=$(DEB_DESTDIR)\
 		PREFIX=/usr\
 		LIBDIR=/usr/share/hevea\
 		LATEXLIBDIR=/usr/share/texmf/tex/latex/misc	
@@ -21,7 +20,5 @@
 	$(MAKE) byte
 
 override_dh_auto_install:
-	$(MAKE) install TARGET=byte
-
-
-
+	$(MAKE) install TARGET=byte DESTDIR=$(DEB_DESTDIR)
+	-rm $(DEB_DESTDIR)/usr/share/hevea/imagen
